=== app/vlogsgenerator/Makefile ===
# All these commands must run from repository root.

vlogsgenerator:
	APP_NAME=vlogsgenerator $(MAKE) app-local

vlogsgenerator-race:
	APP_NAME=vlogsgenerator RACE=-race $(MAKE) app-local
