=== debian/changelog ===
victoriametrics (1.112.0+ds1-4) unstable; urgency=medium

  * Team upload
  * Skip additional memory-intensive test on armel, which causes build
    failures on Debian build daemons

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Aug 2025 15:16:39 +0000

victoriametrics (1.112.0+ds1-3) unstable; urgency=medium

  * Team upload
  * Add new Support-prometheus-common-v0.62.0.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 18 Aug 2025 12:40:13 +0000

victoriametrics (1.112.0+ds1-2) unstable; urgency=medium

  * Fix FTBFS on systems with a single CPU. (Closes: #1107327)

 -- Guillem Jover <gjover@sipwise.com>  Wed, 11 Jun 2025 20:32:22 +0200

victoriametrics (1.112.0+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Skip memory test on arm.
  * Update vmui Files-Excluded.
  * Remove patch skipping failing test, fixed upstream.

 -- Guillem Jover <gjover@sipwise.com>  Wed, 26 Feb 2025 20:33:24 +0100
