=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DH_GOLANG_EXCLUDES := \
	apptest/ \
	# EOL

export DH_GOLANG_INSTALL_EXTRA := \
	app/vmalert/templates/templates/ \
	app/vmselect/graphite/functions.json \
	lib/httpserver/favicon.ico \
	# EOL

%:
	dh $@ --builddirectory=_build --buildsystem=golang

ifeq (,$(filter $(DEB_HOST_ARCH),amd64 i386 armel))
override_dh_auto_test:
	# Ignore errors due to floating point comparisons w/o epsilon.
	-dh_auto_test
endif
